Skip to main content
`Ctrl`+`K`

# imageio.v2.volwrite

imageio.v2.volwrite(uri, vol, format=None, **kwargs)

  Write a volume to the specified file.

  Parameters:
    uri{str, pathlib.Path, file}

      The resource to write the image to, e.g. a filename, pathlib.Path or file object, see the docs for more info.

    vol numpy.ndarray

      The image data. Must be NxMxL (or NxMxLxK if each voxel is a tuple).

    format str

      The format to use to read the file. By default imageio selects the appropriate for you based on the filename and its contents.

    kwargs…

      Further keyword arguments are passed to the writer. See `help()` to see what arguments are available for a particular format.